var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "irrXML 1.2 API documentation", "index.html", [
      [ "Introduction", "index.html#intro", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "static lib", "install.html#assimp", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ],
      [ "How to access shader-code from a texture (AI_MATKEY_GLOBAL_SHADERLANG and AI_MATKEY_SHADER_VERTEX, ...)", "materials.html#shdacc", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"_assbin_loader_8cpp.html#a8926c2edfcda414037894c583701f84b",
"_c_make_c_compiler_id_8c.html#a81dee0709ded976b2e0319239f72d174",
"_exporter_8cpp.html#a017f1d2b68b9c935dd4148c3e9815305",
"_file_system_filter_8h.html#a2951d2325771445312e4d69c7ef03004",
"_i_f_c_reader_gen1__2x3_8cpp.html#a7121bb9e73d1f80ac44c6a8f4a55fc12",
"_i_f_c_reader_gen2__2x3_8cpp.html#a9193036b209138bc9bc2e149fa8692a3",
"_i_f_c_reader_gen__2x3_8h.html#a22e53a3851dbd98e73b5d2df1e5cead1",
"_i_f_c_reader_gen__2x3_8h.html#a6cad3d552d4e22dbc80fb5cace0d4a05",
"_i_f_c_reader_gen__2x3_8h.html#aac68cea381cbceded6f344e40628889d",
"_i_f_c_reader_gen__2x3_8h.html#aedc3cc994f77b776e97f1c30cf46892d",
"_i_f_c_reader_gen__4_8cpp.html#a50c753de7ba1f75971105f82f790528c",
"_i_f_c_reader_gen__4_8cpp.html#abd4f75fd1fa33986083d0acd456444f1",
"_i_f_c_reader_gen__4_8h.html#a1b0bb688b854b3a5f167fb882fc72082",
"_i_f_c_reader_gen__4_8h.html#a4e5cbca68033933a5e10989391625664",
"_i_f_c_reader_gen__4_8h.html#a87a3984ecbcb9007b3adb0fc7bd566b0",
"_i_f_c_reader_gen__4_8h.html#abc0a1458af1a2690c32d1c34b75bd709",
"_i_f_c_reader_gen__4_8h.html#af26806333460b53dd5f0d536849761ed",
"_l_w_o_animation_8h.html#ae88b90391a89cb0fc104f1f05b9e716ea7df8f56b4729bdcf6a00efacae15f21a",
"_m_d3_file_data_8h.html#aeb39df2b5bbb2c7dbef2e76f20fdf587",
"_mesh_renderer_8h.html",
"_ogre_xml_serializer_8cpp.html#a6eaa2f0c9480ecd2692efc5bb5872ddf",
"_ply_loader_8cpp.html#adfc089d3981e0aa52976593a41687283",
"_s_t_l_loader_8h.html",
"_step_file_gen2_8cpp.html#a6e146948b44302c02051528b65c0a6f8",
"_step_file_gen3_8cpp.html#a28441a0357a04c26a89211630327b70c",
"_step_file_gen3_8cpp.html#a963a9e56606d25b811b3eb143bebf5ef",
"_step_reader_gen_8h.html#a011d0846e92e2d446c01cc81d7103962",
"_step_reader_gen_8h.html#a32335f62eedce54066edf7002ae98ced",
"_step_reader_gen_8h.html#a64d817ece8c1ef4bdcac0ee4df53e0b0",
"_step_reader_gen_8h.html#a9a990c8764375bac4087bc3451ed1250",
"_step_reader_gen_8h.html#acf83102656c77467b5fbd68abbb985ac",
"_string_comparison_8h.html#a7514d483377cfe27236bed0eec511fbb",
"api_8d.html#a61ae379d4d7546884e27fc3d30c26e51",
"class3d__viewer_1_1_default_camera.html#afeaaba69a84395ee2300c080ed2cccbd",
"class_assimp_1_1_b_v_h_loader.html#a86beb3477762adc5af1bcbbc64bfbc3c",
"class_assimp_1_1_blender_b_mesh_converter.html#a093d132db2fddd52e9ab0b40d80075ce",
"class_assimp_1_1_collada_parser.html#a014c0ae203f22e25ef8bfdb063aa07d2",
"class_assimp_1_1_d3_m_f_1_1_opc_package_relationship_reader.html",
"class_assimp_1_1_f_b_x_1_1_camera.html#afc7986cd32d068eb66a4b7536da0b2d3",
"class_assimp_1_1_f_b_x_1_1_mesh_geometry.html#a1ef03b9131a3604c6b663ecaa8d5288a",
"class_assimp_1_1_find_instances_process.html",
"class_assimp_1_1_j_s_o_n_writer.html#a581a9cafee97a517f006976684ba7c36",
"class_assimp_1_1_m_d_l_importer.html#a1bbf32ec8ccba826b752f946dad2af5d",
"class_assimp_1_1_ogre_1_1_mesh.html#aff9f840774a37e6dc51c282fb86e8d9a",
"class_assimp_1_1_p_l_y_importer.html#a21a7f7791d9994623fe9fb44e79aa48b",
"class_assimp_1_1_s_t_l_importer.html#ac0242f64ed6232dbae8bd23536611756",
"class_assimp_1_1_texture_transform_step.html#aba5f6fdcc5e5c2f22f2b3291a0f755ce",
"class_assimp_view_1_1_asset_helper.html#a4a63e78f9bb40643a90fe5dde29e79bd",
"class_c_a_m_f_importer___node_element.html#aba95a0a10d2e1e92ef93bbcbb538fd8e",
"class_encoded_input_stream_3_01_u_t_f8_3_4_00_01_memory_stream_01_4.html#aea936f1f1042f3b759cb95bdedf769b6",
"class_generic_pointer.html#a71476d125a276b62a246990da1bd3468",
"class_model_loader.html",
"class_scene_preprocessor_test.html#a906c2a04e4b675bbb6bf142070d29266",
"classai__regression__ui_1_1_reg_dialog.html#a68a879616d95cdb342289c9b3b27ecc9",
"classgl_t_f2_1_1_accessor_1_1_indexer.html",
"classgtest__shuffle__test_1_1_g_test_shuffle_unit_test.html#aeea745f7ce2ab19a067c5cde6e083ba7",
"classirr_1_1core_1_1string.html#af338b451095574fabbe673be285d3dc6",
"classjassimp_1_1_ai_quaternion.html#ae9a377a8a6640cc474f811d7c030fa62",
"classo3dgc_1_1_indexed_face_set.html#a017dff4ef21995c22f62f881de38ee31",
"classp2t_1_1_advancing_front.html#a07f4df2b993ec6fba32491d87d76aefe",
"classpmx_1_1_pmx_joint_param.html#a437a4a008a5c40da33a8ebfb27546b35",
"classpmx_1_1_pmx_vertex_skinning_s_d_e_f.html#a96f336aea23fc45c934b4f1fcc8c3c53",
"classtesting_1_1_assertion_result.html#aad9274c7b69eda67eb9306963a790839",
"classtesting_1_1internal_1_1_default_global_test_part_result_reporter.html#a3900ea7f34b34afd48c7d1d0312a1488",
"classtesting_1_1internal_1_1_unit_test_impl.html#a04827d118a329af68a1de2d6b93eb4e5",
"classut_m_d_c_import_export.html#a8211f0258757ca7c77722735ff5b4741",
"common_8py.html#af29dcab2d7b4a9dd846446a0987ab387",
"dtoa_8h.html#a2547fbfd0790a9997cb5fb7b543f0485",
"functions_enum.html",
"gl_t_f2_asset_8h.html#aac39ef4340da7cc29a237a18a57df9e9a293d21513d127096420fe4281a43a2cb",
"globals_enum.html",
"gtest-internal-inl_8h.html#ad6f90e66d431ca3a9084408878c2cc77",
"gtest-port__test_8cc.html#a0315a64a661f249628f2884080e0614f",
"gtest-tuple_8h.html#a2042d8e9fefb83752b1028d640adfaf2",
"gtest_8h.html#a53e5c6e91ea429c43de7f4f57e33d166",
"gtest__output__test_8py.html#aa592d897eeba0ac7e1a3c7d84f182c11",
"gtest__test__utils_8py.html#aa19abf2658f4160d2fcb6ce94d16612c",
"gtest__xml__output__unittest___8cc.html#abe7f5c93beecd6501a7b6ccf838f5b10",
"jassimp_8cpp.html#adb716b9a8bc64fed889313d3d21b6288",
"material_8h.html#afcd3096d69affba13114cedfc6f9ee6bac20a0da785e4670500e7338bc59a0793",
"miniz_8h.html#a60a85972478e0df3572242ff915f6613",
"miniz_8h.html#afb730582952b7ceec73d7dc9bf7bef39aa84f798966b9ea678b5eaebc6dca4b70",
"namespacemembers_c.html",
"o3dgc_common_8h.html#a406782c830ae9bcd33e748fc8fcc6a3daa84be7eeddda39d425d5da190618a024",
"postprocess_8h.html#a64795260b95f5a4b3f3dc1be4f52e410ac8889361ff08f3da78792ace616c47e0",
"run_8py.html#a07ca79f5388262112df9a5e92453ab24",
"struct_assimp_1_1_a_c3_d_importer_1_1_object.html#a453b9a50e91c938198fc93ea8de8eae8",
"struct_assimp_1_1_blender_1_1_image.html#a8b086421548125d18e5108c4999a472d",
"struct_assimp_1_1_blender_1_1_material.html#a879a616d4e020146f07624f585e66716",
"struct_assimp_1_1_blender_1_1signless_3_01unsigned_01char_01_4.html",
"struct_assimp_1_1_collada_1_1_mesh.html#a9af0b24fbbf0047ee74ceb197494c33b",
"struct_assimp_1_1_f_i_double_value_impl.html#a5301114320ce7153e1de4b0b0852a26e",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_axis1_placement.html",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_crane_rail_f_shape_profile_def.html#a511a3a836e4bbc1df926b921a23ef13a",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_flow_instrument_type.html",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_pile.html#a45f52473cdd7d02b7151d6b44eb33eb1",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_representation_map.html",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_surface_style_rendering.html#a2c01e7a788383832f631cf3937d52926",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_alarm.html#a0c018527e23777588409c799126a9dbe",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_closed_shell.html#a03d0c905e6eac7679e0d8012b2405cdd",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_door_type.html#ada967d972595906eeb7cc22b15a8066b",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_flow_treatment_device_type.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_offset_curve3_d.html#a8e80eab9ac05dd59c544e5e9639be290",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_rectangle_profile_def.html#af26116a0542cf3f0c0a16031d214492f",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_stair.html#a6ca82ad7f2ca36db63e43191e4207af9",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_text_literal_with_extent.html#ab555e4d9597cdc3a665d05b50e665de7",
"struct_assimp_1_1_irrlicht_base_1_1_property.html#a4dc4a364b146fad3a1837c6a705dfe95",
"struct_assimp_1_1_m_d3_1_1_shader.html#ac790c19572363a419bc3cc247d8a858c",
"struct_assimp_1_1_m_d_l_1_1_header.html#a8e72c5cac2846245f771b49dcc4fb852",
"struct_assimp_1_1_obj_file_1_1_material.html#a3b8ba23a8a08e50816d621faa19c339ea4225656d3ed02e6139dd3dfbe078fa23",
"struct_assimp_1_1_open_g_e_x_1_1_vertex_array.html#a84112a496a5b317b6248c4f7600a7d1f",
"struct_assimp_1_1_step_file_1_1action__method.html#ab3997663b7ad228683abb3c4b6ba84c1",
"struct_assimp_1_1_step_file_1_1binary__generic__expression.html#ac7c6895208b482d34b082ffc86750162",
"struct_assimp_1_1_step_file_1_1composite__text__with__blanking__box.html#a0f0d96d2b5349fa8533838ec79e0daa6",
"struct_assimp_1_1_step_file_1_1dimensional__size.html#ae6328d21e44b9a03f120366e7a5880a1",
"struct_assimp_1_1_step_file_1_1extruded__face__solid__with__trim__conditions.html#ab0205920793ba23d9933df01eeb47bed",
"struct_assimp_1_1_step_file_1_1light__source__positional.html#afbe6a94462229f86e10a96b18d5194e5",
"struct_assimp_1_1_step_file_1_1physical__breakdown__context.html#a4ed76324df00f18bb7101cb0d4015aad",
"struct_assimp_1_1_step_file_1_1range__characteristic.html",
"struct_assimp_1_1_step_file_1_1si__resistance__unit.html#a05945a5a36c4723a50ec86b0e084393e",
"struct_assimp_1_1_step_file_1_1surface__style__parameter__line.html#a9be97087d4e715cd0edf7b55675863d1",
"struct_assimp_1_1_step_file_1_1vertex__point.html",
"struct_base_reader_handler.html#aa1c3ce42dbb856b3349792dc9d963587",
"struct_generic_insitu_string_stream.html#a277308a58f551f11d0d9a20823702b5a",
"struct_type.html#ab0fce70e3c1d3dad3cd8e7fe3d6c751c",
"structai_memory_info.html#a3ddd36d7eabcf989ab72cda2dd3ff015",
"structassimp_1_1material_1_1ai_u_v_transform.html",
"structgl_t_f2_1_1_node.html#ad4c1dc17a03b193fdd031d4e0bfd5db6",
"structgl_t_f_1_1_mesh_1_1_s_extension.html#a1861baa1ef7e9003dc7086b74a0887baadecd85c06bc30bad550bde3780405852",
"structmz__zip__archive__file__stat.html#a3038faf9c1f24f2bf48eab9cc2b8ce8c",
"structtesting_1_1gtest__printers__test_1_1const__iterator.html",
"union___i_e_e_e_double.html",
"ut_n_f_f_import_export_8cpp.html#a57c6969dd1fe9da6e82afcc1200ca1b7",
"versiongenerate_8py.html#a68af424183a162a61507cdc378cf255e"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';